summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2020-09-01 12:33:53 +0200
committerThomas Deutschmann <whissi@gentoo.org>2020-09-01 12:43:35 +0200
commit37c00365bbb7478a4a1332b42348ce5dd4b62dc8 (patch)
tree8944091ae898d72fccb51d8df7753c848f17d44b
parentsys-libs/libieee1284: migrate to EAPI=7 (diff)
downloadgentoo-37c00365.tar.gz
gentoo-37c00365.tar.bz2
gentoo-37c00365.zip
sys-libs/libieee1284: don't call CC directly
Closes: https://bugs.gentoo.org/725240 Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
-rw-r--r--sys-libs/libieee1284/libieee1284-0.2.11-r7.ebuild10
1 files changed, 9 insertions, 1 deletions
diff --git a/sys-libs/libieee1284/libieee1284-0.2.11-r7.ebuild b/sys-libs/libieee1284/libieee1284-0.2.11-r7.ebuild
index 6966e3e27a5..1bbce707bb4 100644
--- a/sys-libs/libieee1284/libieee1284-0.2.11-r7.ebuild
+++ b/sys-libs/libieee1284/libieee1284-0.2.11-r7.ebuild
@@ -5,7 +5,7 @@ EAPI="7"
PYTHON_COMPAT=( python2_7 )
-inherit python-single-r1 multilib-minimal
+inherit autotools python-single-r1 multilib-minimal
DESCRIPTION="Library to query devices using IEEE1284"
HOMEPAGE="http://cyberelk.net/tim/software/libieee1284/"
@@ -32,6 +32,14 @@ pkg_setup() {
use python && python-single-r1_pkg_setup
}
+src_prepare() {
+ default
+
+ mv configure.{in,ac} || die
+
+ eautoreconf
+}
+
multilib_src_configure() {
local myeconfargs=(
--enable-shared